QamaqQamaq
POST

Crear ticket

/tickets

Crea un nuevo ticket en un tablero.

Casos de Uso Comunes

  • Create tickets from external forms or applications
  • Automate ticket creation from email or chat
  • Import tickets from other systems

Notas Importantes

  • The board_id must be a valid board in your organization
  • Labels are optional and will be created if they don't exist

Cuerpo de la Solicitud

application/jsonrequerido
{
board_id*:string

ID of the board to create the ticket in

title*:string

Ticket title

description:string

Ticket description

status_id:string

Status/column ID. Defaults to first column.

priority:"low" | "medium" | "high" | "critical"

Default: "medium"

lowmediumhighcritical
assignee_id:string

User ID of assignee

due_date:string (date-time)

Due date

labels:string[]

List of labels

custom_fields:object

Custom field values

}

Ejemplos de Código

curl -X POST "https://api.qamaq.io/api/v1/tickets" \
  -H "Authorization: Bearer qmq_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"key": "value"}'

Respuestas

201Ticket created successfully

Response Body

{
id:string
board_id:string
title:string
description:string
status_id:string
status_name:string
priority:"low" | "medium" | "high" | "critical"
lowmediumhighcritical
assignee_id:string
assignee_name:string
due_date:string (date-time)
labels:string[]
custom_fields:object
position:integer
created_at:string (date-time)
updated_at:string (date-time)
created_by:string
}